------------------------------------------------------------------------
r6746 | eibe | 2010-08-06 14:12:54 +1200 (Fri, 06 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java

Reduced memory consumption of REPTree by roughly 30 percent. Unfortunately the code is now even uglier than before.
------------------------------------------------------------------------
r6749 | mhall | 2010-08-06 21:14:29 +1200 (Fri, 06 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomProjection.java

Tags for the two sparse options do not match what setOptions() parses for - fixed.
------------------------------------------------------------------------
r6764 | mhall | 2010-08-09 14:46:34 +1200 (Mon, 09 Aug 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java

Initial import. Class for generating html index files and supporting text files for a Weka package meta data repository.
------------------------------------------------------------------------
r6765 | mhall | 2010-08-09 20:28:30 +1200 (Mon, 09 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Was not reporting load status correctly for packages that check for missing files.
------------------------------------------------------------------------
r6766 | mhall | 2010-08-10 11:39:03 +1200 (Tue, 10 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java

Renamed the class attribute that gets created from "class" to "@@class@@". This is less likely to clash with any term that might occur when further processing via the StringToWordVector filter is done.
------------------------------------------------------------------------
r6769 | mhall | 2010-08-10 16:40:29 +1200 (Tue, 10 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Was not handling unofficial (non-repository) packages correctly.
------------------------------------------------------------------------
r6770 | mhall | 2010-08-10 16:41:03 +1200 (Tue, 10 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Was not handling unofficial (non-repository) packages correctly.
------------------------------------------------------------------------
r6773 | mhall | 2010-08-11 11:24:38 +1200 (Wed, 11 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now prints any special install messages when installing directly from a URL or a zip archive.
------------------------------------------------------------------------
r6775 | mhall | 2010-08-12 15:52:24 +1200 (Thu, 12 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Got rid of the System.exit()s in the main method so it now won't kill the SimpleCLI :-)
------------------------------------------------------------------------
r6776 | mhall | 2010-08-13 11:15:58 +1200 (Fri, 13 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java

Minor wording change to the information generated for the main index.html file.
------------------------------------------------------------------------
r6777 | mhall | 2010-08-13 15:09:53 +1200 (Fri, 13 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/experiment/Experimenter.java

Main method now calls GenericObjectEditor.determineClasses() to ensure that the GenericPropertiesCreator populates the lists fully.
------------------------------------------------------------------------
r6778 | mhall | 2010-08-13 15:10:32 +1200 (Fri, 13 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/Explorer.java

Main method now calls GenericObjectEditor.determineClasses() to ensure that the GenericPropertiesCreator populates the lists fully.
------------------------------------------------------------------------
r6781 | mhall | 2010-08-16 10:23:25 +1200 (Mon, 16 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelIteratedSingleClassifierEnhancer.java

Now implements Randomizable :-)
------------------------------------------------------------------------
r6782 | mhall | 2010-08-16 10:24:29 +1200 (Mon, 16 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelMultipleClassifiersCombiner.java

Now implements Randomizable :-)
------------------------------------------------------------------------
r6784 | mhall | 2010-08-17 15:56:42 +1200 (Tue, 17 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Made loadPackages synchronized.
------------------------------------------------------------------------
r6785 | mhall | 2010-08-18 12:48:43 +1200 (Wed, 18 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

Now implements EnvironmentHandler.
------------------------------------------------------------------------
r6788 | mhall | 2010-08-19 12:20:58 +1200 (Thu, 19 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Was ignoring any user selected attributes and the "distribution" option for outputting predictions when reevaluating a model for some reason - fixed.
------------------------------------------------------------------------
r6792 | mhall | 2010-08-20 10:50:38 +1200 (Fri, 20 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/Cobweb.java

Using a seed < 0 will now cause buildClusterer() to not randomize the data. This will give the same results as the command line (where Cobweb is trained incrementally and randomization can't be done anyway).
------------------------------------------------------------------------
r6797 | mhall | 2010-08-27 11:01:59 +1200 (Fri, 27 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/Filter.java

Added a mayRemoveInstanceAfterFirstBatchDone() method that returns false by default. Some filters may not necessarily be able to produce an instance for output for every instance input after the first batch has been completed, and can override this method to return true. An example is the RemoveWithValues filter - it will consume an instance that matches one of the values that the user wants to remove (even after the first batch is done). FilteredClassifier throws an exception in distributionForInstance if the filter doesn't make a test instance available immediately. It might be better if it is possible to test to see if this is a possibility for the filter in question (rather than a bug) and then return all zeros or NaN to indicate to Evaluation that the test instance is unclassified.
------------------------------------------------------------------------
r6798 | mhall | 2010-08-27 11:02:51 +1200 (Fri, 27 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveWithValues.java

Added a mayRemoveInstanceAfterFirstBatchDone() method to Filter that returns false by default. Some filters may not necessarily be able to produce an instance for output for every instance input after the first batch has been completed, and can override this method to return true. An example is the RemoveWithValues filter - it will consume an instance that matches one of the values that the user wants to remove (even after the first batch is done). FilteredClassifier throws an exception in distributionForInstance if the filter doesn't make a test instance available immediately. It might be better if it is possible to test to see if this is a possibility for the filter in question (rather than a bug) and then return all zeros or NaN to indicate to Evaluation that the test instance is unclassified.
------------------------------------------------------------------------
r6799 | mhall | 2010-08-27 11:03:15 +1200 (Fri, 27 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/FilteredClassifier.java

Added a mayRemoveInstanceAfterFirstBatchDone() method to Filter that returns false by default. Some filters may not necessarily be able to produce an instance for output for every instance input after the first batch has been completed, and can override this method to return true. An example is the RemoveWithValues filter - it will consume an instance that matches one of the values that the user wants to remove (even after the first batch is done). FilteredClassifier throws an exception in distributionForInstance if the filter doesn't make a test instance available immediately. It might be better if it is possible to test to see if this is a possibility for the filter in question (rather than a bug) and then return all zeros or NaN to indicate to Evaluation that the test instance is unclassified.
------------------------------------------------------------------------
r6800 | mhall | 2010-08-28 09:22:37 +1200 (Sat, 28 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Environment.java

Added a method to add a key value pair to the global system-wide properties as well as the local Environment object's map.
------------------------------------------------------------------------
r6801 | mhall | 2010-08-28 09:23:28 +1200 (Sat, 28 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now adds the default WEKA_HOME setting to the global system-wide environment.
------------------------------------------------------------------------
r6802 | mhall | 2010-08-30 10:54:55 +1200 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

Added a method to save/load a user response associated with viewing a particular system dialog.
------------------------------------------------------------------------
r6803 | mhall | 2010-08-30 10:58:23 +1200 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/misc/InputMappedClassifier.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/InputMappedClassifierBeanInfo.java
   A /trunk/weka/src/main/java/weka/gui/beans/FileEnvironmentField.java
   A /trunk/weka/src/test/java/weka/classifiers/misc/InputMappedClassifierTest.java
   A /trunk/weka/src/test/resources/wekarefs/weka/classifiers/misc/InputMappedClassifierTest.ref

Initial import
------------------------------------------------------------------------
r6804 | mhall | 2010-08-30 11:00:27 +1200 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/AbstractOutput.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/XML.java
   M /trunk/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Changes to accomodate InputMappedClassifier
------------------------------------------------------------------------
r6807 | mhall | 2010-08-30 11:59:44 +1200 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Now resolves any environment variables used in special installation messages or do not install if missing messages
------------------------------------------------------------------------
r6809 | mhall | 2010-08-30 14:33:51 +1200 (Mon, 30 Aug 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Forgot to add environment variable substitution to the install from archive target.
------------------------------------------------------------------------
r6813 | mhall | 2010-09-04 21:33:31 +1200 (Sat, 04 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FileEnvironmentField.java

Now sets the directory for the file chooser when the browse button is pressed based on the entry in the text field (if possible). Added a method to reset the file filters and another to add a file filter.
------------------------------------------------------------------------
r6818 | mhall | 2010-09-06 10:03:47 +1200 (Mon, 06 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now checks for https as well as http for downloading from a URL at the command line
------------------------------------------------------------------------
r6831 | mhall | 2010-09-08 21:59:18 +1200 (Wed, 08 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java

Now makes key information (URL, author and maintainer) more prominent on the main page for each package.
------------------------------------------------------------------------
r6835 | mhall | 2010-09-13 16:18:42 +1200 (Mon, 13 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/Filter.java

Fixed a potential memory leak regarding String attributes and StringLocators. batchFinished now calls stringFreeStructure() on the output format and reinitializes the output string locator. flushInput() does the same for the input format and the input string locator.
------------------------------------------------------------------------
r6836 | mhall | 2010-09-13 16:20:02 +1200 (Mon, 13 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java

setInputFormat was initializing the input locators with the instanceInfo instances object that is passed in rather than with the string cleansed version created by Filter.setInputFormat() - fixed.
------------------------------------------------------------------------
r6840 | mhall | 2010-09-14 09:44:50 +1200 (Tue, 14 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/MultiFilter.java

Now ensures that batchFinished() is called on each of the filters.
------------------------------------------------------------------------
r6842 | mhall | 2010-09-14 11:02:46 +1200 (Tue, 14 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Added a static method to that retrieves a list of package names only from either the local cache or the repostiory. This is used by gui.PackageManager to quickly check for new packages on the server.
------------------------------------------------------------------------
r6843 | mhall | 2010-09-14 11:03:51 +1200 (Tue, 14 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Now checks to see if there are new packages at the repository (as compared to what is known about in the local cache). Displays an information icon if there are new packages available.
------------------------------------------------------------------------
r6852 | mhall | 2010-09-15 15:10:04 +1200 (Wed, 15 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java

Now includes the description entry in each package version's generated html file
------------------------------------------------------------------------
r6854 | mhall | 2010-09-22 14:12:16 +1200 (Wed, 22 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java

Class association rules was broken - fixed.
------------------------------------------------------------------------
r6856 | mhall | 2010-09-23 14:14:04 +1200 (Thu, 23 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now processes local additions to the GenericPropertiesCreator.props file for packages.
------------------------------------------------------------------------
r6857 | mhall | 2010-09-23 14:16:41 +1200 (Thu, 23 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.java

Now maintains a globally accessible set of input and output properties. Has static methods for accessing these input and output properties and a method to regenerate the global output properties. This supports the package loader adding to input properties from local package-specific GenericPropertyCreator.props files.
------------------------------------------------------------------------
r6858 | mhall | 2010-09-23 14:19:06 +1200 (Thu, 23 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java

Updated for changes made to the GenericPropertiesCreator
------------------------------------------------------------------------
r6859 | mhall | 2010-09-23 14:20:21 +1200 (Thu, 23 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Updated for changes made to the GenericPropertiesCreator
------------------------------------------------------------------------
r6860 | mhall | 2010-09-23 14:22:41 +1200 (Thu, 23 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/Run.java

Updated for changes made to the GenericPropertiesCreator
------------------------------------------------------------------------
r6868 | mhall | 2010-09-24 08:24:58 +1200 (Fri, 24 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeManyValues.java

listOptions reported "-M" for setting the label of the merged values whereas setOptions and getOptions look for "-L" - fixed.
------------------------------------------------------------------------
r6870 | mhall | 2010-09-27 14:38:10 +1300 (Mon, 27 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

Null ptr exception was occurring in the static setup block with respect to the Hashtables for loaders and savers when executing in a RemoteEngine - fixed.
------------------------------------------------------------------------
r6872 | mhall | 2010-09-27 14:40:56 +1300 (Mon, 27 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/RemoteEngine.java

Now ensures that all packages are loaded and available to the remote engine.
------------------------------------------------------------------------
r6874 | mhall | 2010-09-27 15:17:53 +1300 (Mon, 27 Sep 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/remote.policy
   M /trunk/weka/src/main/java/weka/experiment/remote.policy.example

Updated policy examples.
------------------------------------------------------------------------
r6878 | fracpete | 2010-10-04 16:23:33 +1300 (Mon, 04 Oct 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileSaver.java

The setOptions(String[]) method no longer throws an exception if input ("-i") or output ("-o") file is not specified, which allows the setting of options via a string array as well and not just the various set-methods.
The getOptions() method now only returns the -i/-o options if there is a sensible value available.
------------------------------------------------------------------------
r6880 | mhall | 2010-10-04 20:50:42 +1300 (Mon, 04 Oct 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysisBeanInfo.java

Got omitted from the development branch somehow.
------------------------------------------------------------------------
r6882 | mhall | 2010-10-04 20:53:52 +1300 (Mon, 04 Oct 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/ClassCache.java

Initial import
------------------------------------------------------------------------
r6883 | mhall | 2010-10-04 20:54:20 +1300 (Mon, 04 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

Peter's caching improvements.
------------------------------------------------------------------------
r6884 | mhall | 2010-10-04 20:59:56 +1300 (Mon, 04 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/Run.java

Updated for changes to ClassDiscovery
------------------------------------------------------------------------
r6889 | fracpete | 2010-10-06 10:22:02 +1300 (Wed, 06 Oct 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Attribute.java
   M /trunk/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssignerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/MatrixPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

added typeToStringShort methods to weka.core.Attribute class to produce shortened attribute type string commonly used in the GUI
replaced switch statements in GUI for generating shortened attribute type string with Attribute.typeToStringShort calls
------------------------------------------------------------------------
r6890 | fracpete | 2010-10-06 10:26:13 +1300 (Wed, 06 Oct 2010) | 4 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/SetInstancesPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

the SetInstancesPanel can display now a combobox that allows the user to choose the class attribute
fixed the ClassifierPanel:
- command/scheme output was using the original classifier twice to generate the string, instead of the InputMappedClassifier, resulting in a commandline that could not be executed
- moved setting of class attribute in train/test set to the correct locations that user doesn't get prompted to use InputMappedClassifier even though the datasets are identical
------------------------------------------------------------------------
r6893 | mhall | 2010-10-06 10:50:22 +1300 (Wed, 06 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/misc/InputMappedClassifier.java

Updated the javadoc.
------------------------------------------------------------------------
r6895 | fracpete | 2010-10-06 13:56:31 +1300 (Wed, 06 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

moved setting of class index higher up in startClassifier() method, as regular cross-validation setting didn't have class attribute available
------------------------------------------------------------------------
r6898 | fracpete | 2010-10-11 11:54:36 +1300 (Mon, 11 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddValues.java

handles missing values now correctly
------------------------------------------------------------------------
r6901 | fracpete | 2010-10-11 12:08:36 +1300 (Mon, 11 Oct 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AddClassification.java

capabilities are now based on the actual classifier, i.e., either from the serialized model or the user-supplied one

------------------------------------------------------------------------
r6904 | fracpete | 2010-10-11 14:12:46 +1300 (Mon, 11 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java

prediction intervals are only added for numeric class attributes now; previously, only checked for IntervalEstimator interface, assuming that the classifier would only work on regression problems, which is not necessarily the case for meta-classifiers
------------------------------------------------------------------------
r6906 | mhall | 2010-10-14 10:06:35 +1300 (Thu, 14 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Fixed a bug in loadCheck where it was returning true if a package was not compatible with the base Weka version.
------------------------------------------------------------------------
r6907 | mhall | 2010-10-14 10:07:03 +1300 (Thu, 14 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/Run.java

Now handles file loaders and savers
------------------------------------------------------------------------
r6911 | fracpete | 2010-10-14 10:30:56 +1300 (Thu, 14 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileSaver.java

now checks all available file extensions in setOptions method before using the default one (i.e., FILE_EXTENSION) in case no valid one was found
------------------------------------------------------------------------
r6913 | mhall | 2010-10-14 10:46:43 +1300 (Thu, 14 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

Added a static method that clears the class cache as well as the query cache
------------------------------------------------------------------------
r6914 | mhall | 2010-10-14 10:48:42 +1300 (Thu, 14 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now calls ClassDiscovery.clearClassCache() instead of clearCache() to ensure that the classpath gets rescanned to pick up any new classes that are specified through local package-specific GenericPropertyCreator.props files
------------------------------------------------------------------------
r6919 | fracpete | 2010-10-14 16:44:18 +1300 (Thu, 14 Oct 2010) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

Extended readProperties(String) method: it now loads all the properties files from the classpath that have the same resource name, and not just the first one.
This allows applications that use Weka as a library to define their own algorithms/filters/etc. but no longer requires them to place a .props file in the current/home directory in order to expose these classes, for instance in the GOE.
Adding new properties in the props files is unproblematic, but overrding properties is sensitive to the order the ClassLoader returns the resources, of course.
------------------------------------------------------------------------
r6922 | eibe | 2010-10-20 10:44:25 +1300 (Wed, 20 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/CrossValidationSplitResultProducer.java

Small change to make results consistent with those obtained using CrossValidationResultProducer if the classifier depends on the order of the instances in the training set.
------------------------------------------------------------------------
r6928 | mhall | 2010-10-26 11:14:16 +1300 (Tue, 26 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Changed initial page displayed to a simpler, more JTextArea friendly version of the index_home.html page.
------------------------------------------------------------------------
r6930 | eibe | 2010-10-26 16:02:31 +1300 (Tue, 26 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java

Backfitting of data from hold-out set now works properly, resulting in small improvements in RMSE and AUC.
------------------------------------------------------------------------
r6933 | mhall | 2010-10-27 09:14:00 +1300 (Wed, 27 Oct 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Fixed a small bug introduced when the code for setting up the types of attributes in the combo boxes was moved into the Attribute class.
------------------------------------------------------------------------
r6938 | mhall | 2010-11-05 15:25:21 +1300 (Fri, 05 Nov 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/CommandlineRunnable.java

Initial import
------------------------------------------------------------------------
r6940 | mhall | 2010-11-05 15:32:18 +1300 (Fri, 05 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/Run.java

Modified to handle things that implement weka.core.CommandlineRunnable.
------------------------------------------------------------------------
r6942 | eibe | 2010-11-05 16:12:44 +1300 (Fri, 05 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/ParentSet.java

Now supports dynamic expansion of array for parents.
------------------------------------------------------------------------
r6945 | mhall | 2010-11-14 11:16:24 +1300 (Sun, 14 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/MultiFilter.java

Now returns true from mayRemoveInstanceAfterFirstBatchDone() if one of the base filters does.
------------------------------------------------------------------------
r6950 | mhall | 2010-11-16 14:48:28 +1300 (Tue, 16 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java

Fixed a bug that sometimes resulted in endless splitting (possibly when missing values are present).
------------------------------------------------------------------------
r6954 | eibe | 2010-11-17 13:22:43 +1300 (Wed, 17 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java

REPTree now supports initializing class counts at nodes with non-zero values.
------------------------------------------------------------------------
r6955 | mhall | 2010-11-17 14:28:43 +1300 (Wed, 17 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now automatically does a cache refresh if package(s) have appeared or disappeared from the repository.
------------------------------------------------------------------------
r6956 | mhall | 2010-11-17 14:29:31 +1300 (Wed, 17 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Now forces a cache refresh if package(s) have disappeared from the repository.
------------------------------------------------------------------------
r6959 | fracpete | 2010-11-19 09:27:56 +1300 (Fri, 19 Nov 2010) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

Extended readProperties(String) method: it now loads all the properties files from the classpath that have the same resource name, and not just the first one.
This allows applications that use Weka as a library to define their own algorithms/filters/etc. but no longer requires them to place a .props file in the current/home directory in order to expose these classes, for instance in the GOE.
Adding new properties in the props files is unproblematic, but overrding properties is sensitive to the order the ClassLoader returns the resources, of course.
------------------------------------------------------------------------
r6961 | mhall | 2010-11-23 20:24:17 +1300 (Tue, 23 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/AttributeSelectionPanel.java

Added a constructor with a number of boolean parameters that control whether or not the various buttons are displayed.
------------------------------------------------------------------------
r6964 | fracpete | 2010-11-25 17:16:41 +1300 (Thu, 25 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java

getNextInstance(Instances) can be called now multiple times without resulting in a "stream closed" exception
------------------------------------------------------------------------
r6966 | mhall | 2010-11-26 10:05:40 +1300 (Fri, 26 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/AttributeSelectionPanel.java

setValueAt() method in AttributeTableModel now calls fireTableRowsUpdated. Also added a method to return the TableModel. These two changes effectively allow clients to listen to changes in the state of the check boxes in the table.
------------------------------------------------------------------------
r6967 | mhall | 2010-11-26 10:06:28 +1300 (Fri, 26 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Remove button is now enabled only when instances have been loaded and the user has selected one or more of the check boxes in the list of attributes.
------------------------------------------------------------------------
r6971 | fracpete | 2010-11-26 16:23:34 +1300 (Fri, 26 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java

removed getCapabilities() method as the testInputFormat(Instances) method performs a detailed capabilities check of the sub-filters by calling their setInputFormat(Instances) methods with the appropriate attribute subsets 
------------------------------------------------------------------------
r6973 | mhall | 2010-11-30 16:46:58 +1300 (Tue, 30 Nov 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java

HTML tags embedded in the Description tag of properties files now get converted properly for each version HTML file for a package.
------------------------------------------------------------------------
r6981 | mhall | 2010-12-01 14:55:56 +1300 (Wed, 01 Dec 2010) | 1 line
Changed paths:
   A /trunk/packages/internal/complementNaiveBayes/src/main/java/weka/classifiers/bayes/ComplementNaiveBayes.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/ComplementNaiveBayes.java:6972)
   A /trunk/packages/internal/complementNaiveBayes/src/test/java/weka/classifiers/bayes/ComplementNaiveBayesTest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/ComplementNaiveBayesTest.java:6972)
   D /trunk/weka/src/main/java/weka/classifiers/bayes/ComplementNaiveBayes.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/ComplementNaiveBayesTest.java

Moved complement naive bayes out to a package
------------------------------------------------------------------------
r6984 | mhall | 2010-12-01 15:15:38 +1300 (Wed, 01 Dec 2010) | 1 line
Changed paths:
   D /trunk/packages/internal/gaussianProcesses/src/main/java/weka/classifiers/functions/GaussianProcesses.java
   D /trunk/packages/internal/gaussianProcesses/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java
   A /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java (from /trunk/packages/internal/gaussianProcesses/src/main/java/weka/classifiers/functions/GaussianProcesses.java:6925)
   A /trunk/weka/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java (from /trunk/packages/internal/gaussianProcesses/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java:6925)

GaussianProcesses moves back into the core weka distribution
------------------------------------------------------------------------
r6986 | mhall | 2010-12-01 15:20:21 +1300 (Wed, 01 Dec 2010) | 1 line
Changed paths:
   D /trunk/packages/internal/classificationViaRegression/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java
   D /trunk/packages/internal/classificationViaRegression/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java (from /trunk/packages/internal/classificationViaRegression/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java:6925)
   A /trunk/weka/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java (from /trunk/packages/internal/classificationViaRegression/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java:6925)

ClassificationViaRegression moves back into the core weka distribution
------------------------------------------------------------------------
r6987 | mhall | 2010-12-01 15:21:49 +1300 (Wed, 01 Dec 2010) | 1 line
Changed paths:
   D /trunk/packages/internal/regressionByDiscretization/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java
   D /trunk/packages/internal/regressionByDiscretization/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java (from /trunk/packages/internal/regressionByDiscretization/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java:6925)
   A /trunk/weka/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java (from /trunk/packages/internal/regressionByDiscretization/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java:6925)

RegressionByDiscretization moves back into the core weka distribution
------------------------------------------------------------------------
r6991 | mhall | 2010-12-02 14:50:48 +1300 (Thu, 02 Dec 2010) | 1 line
Changed paths:
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/main/java/weka/classifiers/bayes/NaiveBayesSimple.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesSimple.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/main/java/weka/classifiers/lazy/IB1.java (from /trunk/weka/src/main/java/weka/classifiers/lazy/IB1.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/main/java/weka/classifiers/rules/Prism.java (from /trunk/weka/src/main/java/weka/classifiers/rules/Prism.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/main/java/weka/classifiers/trees/Id3.java (from /trunk/weka/src/main/java/weka/classifiers/trees/Id3.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/test/java/weka/classifiers/bayes/NaiveBayesSimpleTest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesSimpleTest.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/test/java/weka/classifiers/lazy/IB1Test.java (from /trunk/weka/src/test/java/weka/classifiers/lazy/IB1Test.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/test/java/weka/classifiers/rules/PrismTest.java (from /trunk/weka/src/test/java/weka/classifiers/rules/PrismTest.java:6979)
   A /trunk/packages/internal/simpleEducationalLearningSchemes/src/test/java/weka/classifiers/trees/Id3Test.java (from /trunk/weka/src/test/java/weka/classifiers/trees/Id3Test.java:6979)
   D /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesSimple.java
   D /trunk/weka/src/main/java/weka/classifiers/lazy/IB1.java
   D /trunk/weka/src/main/java/weka/classifiers/rules/Prism.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/Id3.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesSimpleTest.java
   D /trunk/weka/src/test/java/weka/classifiers/lazy/IB1Test.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/PrismTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/Id3Test.java

Moving out into a package called simpleEducationalLearningSchemes
------------------------------------------------------------------------
r6993 | mhall | 2010-12-03 10:49:32 +1300 (Fri, 03 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Small fix to ensure that the direct install of non-official packages detects upper case http(s) and .zip extensions. 
------------------------------------------------------------------------
r6997 | fracpete | 2010-12-03 13:39:42 +1300 (Fri, 03 Dec 2010) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/Stacking.java
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Copy.java

Instances.renameAttribute/insertAttributeAt now check first whether the new name is already present and throw an IllegalArgumentException if that's the case (attribute names have to be unique in a dataset!)
updated Copy filter to create a copy of the attribute with a new name instead of inserted a copy of it and then renaming it (which fails now)
Stacking now appends the classifier index (1-based) to the classifier class name, otherwise non-unique attribute names can be generated if the same base classifier is used more than once
------------------------------------------------------------------------
r6999 | mhall | 2010-12-06 11:47:29 +1300 (Mon, 06 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Direct install from an archive or URL now loads the package after installation is complete.
------------------------------------------------------------------------
r7000 | mhall | 2010-12-06 11:48:16 +1300 (Mon, 06 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Now includes a facility to install an unofficial package from a zip archive or a URL.
------------------------------------------------------------------------
r7004 | mhall | 2010-12-06 14:53:27 +1300 (Mon, 06 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

Shifted the static initialization block into a static initialize() method so that the package manager can call this to ensure that any packages that provide loaders/savers get into the hashtables.
------------------------------------------------------------------------
r7005 | mhall | 2010-12-06 14:54:13 +1300 (Mon, 06 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

refreshGOEProperties() now also calls ConverterUtils.initialize().
------------------------------------------------------------------------
r7008 | mhall | 2010-12-07 12:20:23 +1300 (Tue, 07 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/ConverterFileChooser.java

Moved the initialization of the filters out from a static block to a static method. This allows ConverterUtils to re-initialize the default set of filters after a new loader or saver is installed from a package.
------------------------------------------------------------------------
r7009 | mhall | 2010-12-07 12:21:27 +1300 (Tue, 07 Dec 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

initialize() now calls weka.gui.ConverterFileChooser.initDefaultFilters() to re-initialize the filters for loaders and savers.
------------------------------------------------------------------------
